﻿using Infragistics.Win.UltraWinSchedule;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Xml.Serialization;

namespace _151094
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraCalendarInfo1.SelectedDateRanges.Add(DateTime.Now, DateTime.Now.AddDays(3));
           
            ultraDayView1.EnsureTimeSlotVisible(DateTime.Now, true);
            Appointment app = new Appointment(DateTime.Now.AddHours(1),DateTime.Now.AddMinutes(90));
            app.Subject = "Appointment 1";
            ultraCalendarInfo1.Appointments.Add(app);

            app = new Appointment(DateTime.Now.AddHours(1), DateTime.Now.AddMinutes(90));
            app.Subject = "Appointment 2";
            ultraCalendarInfo1.Appointments.Add(app);

            app = new Appointment(DateTime.Now.AddHours(1), DateTime.Now.AddMinutes(90));
            app.Subject = "Appointment 3";
            ultraCalendarInfo1.Appointments.Add(app);
        }


        private void ultraCalendarInfo1_BeforeSelectedAppointmentsChange(object sender, BeforeSelectedAppointmentsEventArgs e)
        {
            List<Appointment> apps = new List<Appointment>();
            foreach (var app in e.NewSelectedAppointments)
            {
                apps.Add(app);
            }
            e.NewSelectedAppointments.Clear();    

            apps.Sort(new CustomSort());
            UltraCalendarInfo cal = (UltraCalendarInfo)sender;

            for (int i = 0; i < apps.Count ; i++)
            {
                 e.NewSelectedAppointments.Add(apps[i]);
            }
            cal.EventManager.SetEnabled(CalendarInfoEventGroups.BeforeEvents, true);
        }
    }
}
